Skip to content

Get Outreach Connection

GET
/integrations/linkedin-outreach/connection

Whether LinkedIn outreach is connected and its session healthy. Reports state, never credentials.

Authorizations

Parameters

Header Parameters

X-Target-Org-Id
Any of:
string

Responses

200

Successful Response

object
data
required

Whether the org’s outreach connection exists and its session is healthy. Never the credentials.

object
auto_reauth_enabled
boolean
auto_reauth_error
Any of:
string
auto_reauth_status
Any of:
string
connected
required
boolean
email
Any of:
string
failed_reauth_count
Any of:
integer
is_token_valid
boolean
last_reauth_success_at
Any of:
string
reenable_in_seconds
Any of:
integer
requires_manual_login
Any of:
boolean
tenant_id
Any of:
integer
time_until_expiry_seconds
Any of:
integer
token_expires_at
Any of:
string
workspace_configured
boolean
workspace_id
Any of:
integer
workspace_name
Any of:
string
pagination
Any of:
object
has_next
required

Whether there are more pages

boolean
limit
required

Items per page

integer
next_cursor
Any of:
string
notes
Any of:
Array<string>
page
required

Current page number (1-indexed)

integer
total
required

Total number of items

integer
total_available
Any of:
integer
total_is_lower_bound
Any of:
boolean

422

Validation Error

object
detail
Array<object>
object
loc
required
Array
msg
required
string
type
required
string